Sisimai::SMTP::Reply(3pm)

NAME
Sisimai::SMTP::Reply - SMTP reply code related class

SYNOPSIS
    use Sisimai::SMTP::Reply;
    print Sisimai::SMTP::Reply->find('550 5.1.1 Unknown user');  # 550

DESCRIPTION
"Sisimai::SMTP::Reply" is a utility class for getting the SMTP reply code value from given error message text.

CLASS METHODS

  "test(D.S.N.)"
test() method checks whether the reply code is a valid code or not.

    print Sisimai::SMTP::Reply->test('521');    # 1
    print Sisimai::SMTP::Reply->test('386');    # 0
    print Sisimai::SMTP::Reply->test('101');    # 0
    print Sisimai::SMTP::Reply->test('640');    # 0

  "find(String)"
find() method returns the SMTP reply code value.

    print Sisimai::SMTP::Reply->find('5.0.0');                  # ''
    print Sisimai::SMTP::Reply->find('550 5.1.1 User unknown'); # 550
    print Sisimai::SMTP::Reply->find('421 Delivery Expired');   # 421

  "associatedwith(String)"
associatedwith() method returns a list related to the SMTP reply code in the argument

    print Sisimai::SMTP::Reply->associatedwith("556"); # ["RCPT", "", "notaccept"]
    print Sisimai::SMTP::Reply->associatedwith("421"); # []

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2015-2016,2018,2020,2021,2023-2025 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.